# Gio::DBusNodeInfo Class Reference

DBusNodeInfo - Stores information about nodes in a remote object hierarchy. More...

`#include <giomm/dbusintrospection.h>`

List of all members.

## Public Member Functions

void | reference () const
| Increment the reference count for this object.
void | unreference () const
| Decrement the reference count for this object.
GDBusNodeInfo* | gobj ()
| Provides access to the underlying C instance.
const GDBusNodeInfo* | gobj () const
| Provides access to the underlying C instance.
GDBusNodeInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< DBusInterfaceInfo > | lookup_interface (const Glib::ustring& name)
| Looks up information about an interface.
Glib::RefPtr< const DBusInterfaceInfo > | lookup_interface (const Glib::ustring& name) const
| Looks up information about an interface.

## Static Public Member Functions

static Glib::RefPtr< DBusNodeInfo > | new_for_xml (const Glib::ustring& xml_data)

## Protected Member Functions

| DBusNodeInfo ()
void | operator delete (void*, size_t)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gio::DBusNodeInfo > | wrap (GDBusNodeInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

DBusNodeInfo - Stores information about nodes in a remote object hierarchy.

Since glibmm 2.26:

## Constructor & Destructor Documentation

Gio::DBusNodeInfo::DBusNodeInfo | ( |  | ) | `[protected]`

## Member Function Documentation

const GDBusNodeInfo* Gio::DBusNodeInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GDBusNodeInfo* Gio::DBusNodeInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

GDBusNodeInfo* Gio::DBusNodeInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::RefPtr<const DBusInterfaceInfo> Gio::DBusNodeInfo::lookup_interface | ( | const Glib::ustring& | name | ) | const

Looks up information about an interface.

This cost of this function is O(n) in number of interfaces.

Since glibmm 2.26:

Parameters:

  | name | A D-Bus interface name.

Returns:
  A DBusInterfaceInfo or `0` if not found. Do not free, it is owned by info.

Glib::RefPtr<DBusInterfaceInfo> Gio::DBusNodeInfo::lookup_interface | ( | const Glib::ustring& | name | ) |

Looks up information about an interface.

This cost of this function is O(n) in number of interfaces.

Since glibmm 2.26:

Parameters:

  | name | A D-Bus interface name.

Returns:
  A DBusInterfaceInfo or `0` if not found. Do not free, it is owned by info.

static Glib::RefPtr<DBusNodeInfo> Gio::DBusNodeInfo::new_for_xml | ( | const Glib::ustring& | xml_data | ) | `[static]`

Exceptions:

  | Glib::Error. |

void Gio::DBusNodeInfo::operator delete | ( | void * | ,
|  | size_t |  |
| ) |  |  | `[protected]`

void Gio::DBusNodeInfo::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gio::DBusNodeInfo::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::DBusNodeInfo > wrap | ( | GDBusNodeInfo * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.